/*
 Theme Name:     Fairview Paving & Masonry website
 Theme URI:      https://aswin.co.uk/
 Description:    Official Website Theme for Fairview Paving & Masonry website
 Author:         Nalin Herath
 Author URI:     https://aswin.co.uk/
 Template:       Divi
 Version:        1.0.72
*/

.et_pb_scroll_top.et-pb-icon{
	background: linear-gradient(#fb7201, #c95b01)!important;
}

.mobile_header  .et_pb_blurb{
	width: 65%;
	float: left;
}

.mobile_header .et_pb_social_media_follow{
	width: 35%;
	float: right;
}

.mobile_header .et_pb_blurb_container{
	padding-left: 0 !important;
}

#menu-main-menu .sub-menu li a, #mobile_menu1 li a{
	border-bottom: #df8e31 solid 1px !important;
}

.image_mask .et_pb_image_wrap {
	overflow: hidden;
	clip-path: polygon(
		0 0,
		100% 0,
		100% 100%,
		0 calc(100% - 30px)
	);
}

.et_pb_row{
  max-width: 85% !important;
  width: 85% !important;
}

.top_banner .et_pb_container{
	height: 90vh !important;
}

.top_banner .et_pb_slider_container_inner {
    display: flex !important;
    align-items: stretch;
	height: inherit !important;
}

.top_banner .et_pb_slide_description {
   	height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
	padding: 10% 8% !important;
	width: 45%;
	animation: none !important;
	margin: 0;
	position: relative;
	padding: 70px 170px 70px 120px !important;
	
	
	clip-path: polygon(0 0, 100% 0, calc(100% - 150px) 100%, 0 100%);
	background-image:
		linear-gradient(
			to bottom right,
			rgba(0, 0, 0, 0.85) 0%,
			rgba(0, 0, 0, 0.85) 100%
		),
		url("https://fairviewpavingandmasonry.com/wp-content/uploads/2026/05/pattern-3.webp");
	background-size: cover;
	background-repeat: repeat;
	background-position: center center;
	
}

.top_banner .et_pb_slide_title, .top_banner .et_pb_slide_content{
	padding-right: 50px;
}

.top_banner .et_pb_container{
	width: 100% !important;
	max-width: 100% !important;
}

.top_banner .et_pb_slide{
	padding: 0;
}

.top_banner .et_pb_slide_description > * {
	position: relative;
	z-index: 1;
}



@media only screen and (max-width: 980px){
  .et_pb_row{
    max-width: 95% !important;
    width: 95% !important;
  }
	
	.top_banner .et_pb_slide_description {
		display: block;
		width: 100% !important;
		clip-path: polygon(0 0, 100% 40px, 100% 100%, 0 100%);
		background-image:
		linear-gradient(
			to bottom right,
			rgba(0, 0, 0, 0.85) 0%,
			rgba(0, 0, 0, 0.85) 100%
		),
		url("https://fairviewpavingandmasonry.com/wp-content/uploads/2026/05/pattern-3.webp");
		background-size: auto;
		background-repeat: repeat;
		background-position: top left;
		margin-top: calc(200 / 280 * 100vw) !important;
		padding: 50px 15px 35px !important;
	}

	.top_banner .et_pb_slide_title, .top_banner .et_pb_slide_content{
		padding-right: 0;
	}
	
	.top_banner .et-pb-controllers{
		bottom: 2% !important;
	}
	
	.top_banner .et-pb-slider-arrows{
		display: none !important;
	}
	
	.top_banner .et_pb_slider_container_inner {
		height: auto !important;
	}
}


 
/*Mobile Menu Styles*/
/* Parent item */
.et_mobile_menu .first-level {
  position: relative;
}

/* Keep link clickable (leave space for the toggle icon) */
.et_mobile_menu .first-level > a {
  display: block;
  padding-right: 44px; /* space for toggle button */
}

/* The toggle button we inject via JS */
.et_mobile_menu .submenu-toggle {
  position: absolute;
  top: 0;
  right: 0;
  width: 44px;
  height: 45px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
	color: #000;
}

/* Icon using ETmodules font (same as your :after) */
.et_mobile_menu .submenu-toggle:after {
  font-family: 'ETmodules';
  content: '\4c'; /* plus */
  font-size: 20px;
  font-weight: normal;
}

/* When open, switch icon */
.et_mobile_menu .submenu-toggle.is-open:after {
  content: '\4d'; /* minus */
}

/* Submenu show/hide */
.et_mobile_menu .second-level {
  display: none;
}
.et_mobile_menu .second-level.reveal-items, .et_mobile_menu .second-level.reveal-items li {
  display: block;	
}

/* Footer */
.footer-links{
	color: white;	
}
.footer-links:hover{
	color: #DF8E31;	
}
.footer-tick{
	display: inline-block;	
	/*content: "\00BB";*/
	width: 15px;
	height: 15px;
	background-color: #DF8E31;	
	margin-right: 5px;	
}

.custom-bullets li::marker {
  content: "\00BB";    
  color: #DF8E31;   
  font-size: 30px;    
}

.list-item li{
  margin-bottom: 10px;
}

.list-item li a{
	margin-left: 5px;
}

/*Gallery */
.gal .et_pb_gallery_item{
  margin-bottom: 30px !important;
}

/* FAQ */
.faq .et_pb_toggle{
  margin-bottom: 10px !important;
} 

